List Calls
curl --request GET \
--url https://api-tokyo.oneinbox.ai/v1/calls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-tokyo.oneinbox.ai/v1/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-tokyo.oneinbox.ai/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-tokyo.oneinbox.ai/v1/calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"agent_id": "<string>",
"type": "<string>",
"status": "<string>",
"from_number": "<string>",
"to_number": "<string>",
"room_name": "<string>",
"direction": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"variables": {},
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"duration_seconds": 123,
"end_reason": "<string>",
"transcript": "<string>",
"messages": [
"<unknown>"
],
"recording_url": "<string>",
"analysis": {},
"latency": {},
"cost_cents": 123,
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"twilio_call_sid": "<string>",
"outcome": "<string>",
"ai_summary": "<string>",
"credits_used": 123,
"kb_snapshot": {}
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}calls
List Calls
GET
/
v1
/
calls
List Calls
curl --request GET \
--url https://api-tokyo.oneinbox.ai/v1/calls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-tokyo.oneinbox.ai/v1/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-tokyo.oneinbox.ai/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-tokyo.oneinbox.ai/v1/calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"agent_id": "<string>",
"type": "<string>",
"status": "<string>",
"from_number": "<string>",
"to_number": "<string>",
"room_name": "<string>",
"direction": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"variables": {},
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"duration_seconds": 123,
"end_reason": "<string>",
"transcript": "<string>",
"messages": [
"<unknown>"
],
"recording_url": "<string>",
"analysis": {},
"latency": {},
"cost_cents": 123,
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"twilio_call_sid": "<string>",
"outcome": "<string>",
"ai_summary": "<string>",
"credits_used": 123,
"kb_snapshot": {}
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0⌘I